// ===========================================================================
//	UDrawingState.More.h					1994 Mike Shields. All rights reserved.
// ===========================================================================

// A class similar to the StColorPen state class in UDrawingState which only
// handles the pen state. This is useful when ColorQD is not available, since
// there is no way to Get/Set the color state in that case.

#pragma once

#include <PP_Prefix.h>

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

class	StPenState 
{
public:
				StPenState();
				~StPenState();
				
	void		Save();
	void		Restore();
				
	static void	Normalize();

private:
	PenState		mPenState;
};
